class VideoFrame {
protected:
	typedef int pixel;
	pixel *_data;
	long _width, _height;

public:
	VideoFrame(long width, long height);
	~VideoFrame();

	inline pixel *scanLine(long line) const { return &_data[line*_width]; }
	inline long height() const { return _height; }
	inline long width() const { return _width; }
};

VideoFrame::VideoFrame(long width, long height)
{
	_data = (pixel *)malloc(height * width * sizeof(pixel));
	_width = width;
	_height = height;
}

VideoFrame::~VideoFrame()
{
	delete _data;
}
